/****************************************************************************
**
** Copyright (C) 2012 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of Qt Creator.
**
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  For licensing terms and
** conditions see http://qt.digia.com/licensing.  For further information
** use the contact form at http://qt.digia.com/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Digia gives you certain additional
** rights.  These rights are described in the Digia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
****************************************************************************/

#ifndef MERCONSTANTS_H
#define MERCONSTANTS_H

namespace Mer {
namespace Constants {

const char MER_QT[]  = "Qt4ProjectManager.QtVersion.Mer";
const char MER_TOOLCHAIN_ID[] = "Qt4ProjectManager.ToolChain.SB2";
const char SB2_QT_VERSION[] = "Qt4ProjectManager.SB2.QtVersion";

const char SB2_TOOLCHAIN[] = "SB2 GCC";

const char MER_OPTIONS_CATEGORY[] = "W.Mer";
const char MER_OPTIONS_CATEGORY_TR[] = QT_TRANSLATE_NOOP("Mer", "Mer");
const char MER_OPTIONS_CATEGORY_ICON[] = ":/mer/images/category_mer.png";
const char TARGET_OPTIONS_ID[] = "A.Targets";
const char TARGET_OPTIONS_NAME[] = QT_TRANSLATE_NOOP("Mer", "Targets");
const char VM_OPTIONS_ID[] = "B.Virtual Machine";
const char VM_OPTIONS_NAME[] = QT_TRANSLATE_NOOP("Mer", "Virtual Machine");

const char MER_DEVICE_TYPE[] = "Mer.Device.Type";

const char MER_WRAPPER_SPECIFY[] = "specify";
const char MER_WRAPPER_MB[] = "mb";
const char MER_WRAPPER_RM[] = "rm";
const char MER_WRAPPER_MV[] = "mv";

const char MER_SDK_USERNAME[] = "mersdk";

} // namespace Constants
} // namespace Mer

#endif // MERCONSTANTS_H
