TEMPLATE = lib
TARGET = Mer

QT += gui webkit

include(../../qtcreatorplugin.pri)
include(mer_dependencies.pri)

DEFINES += QT_NO_CAST_TO_ASCII QT_NO_CAST_FROM_ASCII

RESOURCES += \
    $$PWD/mer.qrc

FORMS += \
    $$PWD/targetoptionspage.ui \
    $$PWD/vmoptionspage.ui \
    $$PWD/mermanagementwebview.ui

SOURCES += \
    $$PWD/merplugin.cpp \
    $$PWD/merqtversion.cpp \
    $$PWD/merqtversionfactory.cpp \
    $$PWD/mertoolchain.cpp \
    $$PWD/meroptionspage.cpp \
    $$PWD/targetoptionspage.cpp \
    $$PWD/targetsettings.cpp \
    $$PWD/vmoptionspage.cpp \
    $$PWD/vmsettings.cpp \
    $$PWD/merconnectionmanager.cpp \
    $$PWD/merkitmanager.cpp \
    $$PWD/merdevicefactory.cpp \
    $$PWD/merqtparser.cpp \
    $$PWD/merdeployconfigurationfactory.cpp \
    $$PWD/merdeployconfiguration.cpp \
    $$PWD/mermode.cpp \
    $$PWD/mermanagementwebview.cpp \
    $$PWD/vboxmanage.cpp

HEADERS += \
    $$PWD/merplugin.h\
    $$PWD/merconstants.h \
    $$PWD/merqtversion.h \
    $$PWD/merqtversionfactory.h \
    $$PWD/mertoolchain.h \
    $$PWD/meroptionspage.h \
    $$PWD/targetoptionspage.h \
    $$PWD/targetsettings.h \
    $$PWD/vmoptionspage.h \
    $$PWD/vmsettings.h \
    $$PWD/merconnectionmanager.h \
    $$PWD/merkitmanager.h \
    $$PWD/merdevicefactory.h \
    $$PWD/mertoolchainfactory.h \
    $$PWD/merqtparser.h \
    $$PWD/merdeployconfigurationfactory.h \
    $$PWD/merdeployconfiguration.h \
    $$PWD/mermode.h \
    $$PWD/mermanagementwebview.h \
    $$PWD/vboxmanage.h
